body {
    margin: 0;
    min-height: 100vh;
    display: flex;
    flex-direction: column;
}

header {
    float: right;
    background-color: #2F3A58;
    height: 56px;
    width: 100%;
    margin: 0;
    display: flex;
    flex-flow: row nowrap;
    justify-content: space-between;
    align-items: center;
}

.general_name {
    font-family: 'Roboto', sans-serif;
    font-size: 24px;
    font-weight: 400;
    line-height: 28px;
    letter-spacing: 0em;
    text-align: left;
    color: #FFFFFF;
    margin-left: 17px;
    flex: 1;
}

.logo {
    height: 33px;
    width: 33px;
    margin-left: 16%;
}

.menu {
    margin-right: 23px;
    position: relative;
    display: inline-block;
}

.time {
    height: 28px;
    width: 93px;
    margin-right: 23px;
    font-family: 'Roboto', sans-serif;
    font-size: 24px;
    font-weight: 400;
    line-height: 28px;
    letter-spacing: 0em;
    text-align: left;
    color: #FFFFFF;
}

button {
    background: transparent;
    border: 0;
    cursor: pointer;
}

.dr-content {
    display: none;
    position: absolute;
    background-color: #f1f1f1;
    min-width: 160px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
    right: 0;
    margin-top: 5px;
}

.dr-content a {
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    border: #000000;
}

.dr-content a:hover {
    background-color: rgb(145, 141, 141)
}

.show {
    display: block;
}

.strelochka {
    background-color: #2F3A58;
}

main {
    width: 68%;
    min-height: 224px;
    margin: auto;
    margin-top: 16px;
    display: block;
    background: #FFFFFF;
    box-shadow: 2px 4px 4px rgba(0, 0, 0, 0.12);
    padding: 15px;
}


@media (max-width: 400px) {
    .general_name {
        display: none;
    }

    .time {
        margin-left: 25%;
    }


}